> For the complete documentation index, see [llms.txt](https://docs-card.musepay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-card.musepay.io/reference/api-reference.md).

# API Reference

## Enviroment

The base URL for Production enviroment is: `https://api.musepay.io`

The base URL for Test enviroment is: `https://api.test.musepay.io`

## Demo Client

#### Java

{% embed url="<https://github.com/jsirReal/musevcc-demo>" %}

## Request Common Parameters

Every request must contain the following parameters in the body:

{% content-ref url="/pages/asvitkRsyFdj4hYKqXf9" %}
[Common Parameters](/reference/api-reference/common-parameters.md)
{% endcontent-ref %}

## User

create and query order information .

{% content-ref url="/pages/WWvU4gOTSZwsu5ujByBK" %}
[Card](/reference/api-reference/card.md)
{% endcontent-ref %}

## Card

Retrieve balance information on a specific crypto currency.

{% content-ref url="/pages/v6vSf9ZeAunBJXS0iXUn" %}
[Card User](/reference/api-reference/card-user.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-card.musepay.io/reference/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
